#include <stdbool.h>
#include <stdint.h>

#include "board_devices.h"
#include "stack.h"
#include "queue.h"
#include "kernel.h"
#include "driver.h"
#include "list.h"
#include "shell.h"
#include "shell_commands.h"
#include "drive_ctrl.h"
#include "collision_ctrl.h"
#include "sensor_data.h"

int main(void)
{
	shell_init(&uart_1);
	shell_commands_init();
	drive_ctrl_init();
	collision_ctrl_init();
	sensor_data_init();

	while(1) {
		sleep_ms(1000);
	}

	return 0;
}
